Целочисленное переполнение в libsoup

Дата публикации:
26.03.2009
Дата изменения:
26.03.2009
Всего просмотров:
1586
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
libsoup 2.x
Уязвимые версии: libsoup версии до 2.24.0

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Целочисленное переполнение существует в функции "soup_base64_encode()" в файле libsoup/soup-misc.c во время кодирования данных в Base64. Злоумышленник может обманом заставить пользователя закодировать специально сформированные данные, вызвать переполнении динамической памяти и выполнить произвольный код на целевой системе.

Уязвимость относится к:
www.securitylab.ru/vulnerability/376255.php

URL производителя: http://live.gnome.org/LibSoup/

Решение: Установите последнюю версию 2.24.0 с сайта производителя.

Ссылки: http://www.ocert.org/advisories/ocert-2008-015.html

или введите имя

CAPTCHA